CREATE OR REPLACE FUNCTION food600.mazbuffer(
	cdata integer,
	meno character varying)
    RETURNS integer
    LANGUAGE 'plpgsql'
    COST 100
    VOLATILE
AS $BODY$
BEGIN
DELETE FROM food600.buffer WHERE c_data=cdata AND menobuf=meno;
DELETE FROM food600.bufferd WHERE c_data=cdata AND menobuf=meno;
DELETE FROM food600.odp_log WHERE c_data=cdata AND menobuf=meno;
DELETE FROM food600.odpocet_askl WHERE c_data=cdata AND menobuf=meno;
DELETE FROM food600.odpocet_kalk WHERE c_data=cdata AND menobuf=meno;
DELETE FROM food600.sk1 WHERE c_data=cdata AND menobuf=meno;
RETURN 1;
END
$BODY$;
